#include<stdio.h>
#include<math.h>
int duzina(int x1,int x2,int y1,int y2)
{
	float d;
	d=sqrt(pow((x1-x2),2)+pow((y1-y2),2));
	return d;
}
main()
{
	int N,x,y,i,n;
	scanf("%d",&N);
	for(i=0;i<N;i++)
	{
		scanf("%d %d",&x[i],&y[i]);
	}
	printf("%d",n);
}